Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 200778 - should not start service when rpm is installed
Summary: should not start service when rpm is installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-lite
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bob Relyea
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-31 16:08 UTC by David Zeuthen
Modified: 2013-03-06 03:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-01 23:31:32 UTC


Attachments (Terms of Use)

Description David Zeuthen 2006-07-31 16:08:51 UTC
Description of problem:

When installed pcsc-lite the service is started. This 1) violates packaging
guidelines; and 2) makes offline installs into a chroot break since the daemon
process is lingering. 

Specifically 2) breaks the OLPC build so we would like to see this fixed ASAP.
Thanks.

(another point is that pcsc-lite and esc is pulled into OLPC because of wrong
deps (it's 10MB+ and we can't afford that space) but I will file separate bugs
for that)

Version-Release number of selected component (if applicable):

1.3.1-5

Comment 1 Christopher Blizzard 2006-08-01 02:23:46 UTC
I've been told that 2) is fixed now (turned off auto-provides) so at least we
won't get blocked by this in OLPC.

Comment 2 David Zeuthen 2006-08-01 13:43:11 UTC
Chris, are you referring to that other bug with esc providing e.g. NSS because
esc got it's own copy? Because that's important too, but it's a different bug.

Comment 3 Christopher Blizzard 2006-08-01 22:57:10 UTC
Just that the autoprovides is off so it doesn't block OLPC.  Moving off the OLPC
lists.

Comment 4 David Zeuthen 2006-08-01 23:31:32 UTC
Looks like Ray fixed this according to the spec file in CVS. Thanks.


Note You need to log in before you can comment on or make changes to this bug.